'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
function addSlots(vm, slots) {
  Object.keys(slots).forEach(function (key) {
    if (!Array.isArray(slots[key])) {
      throw new Error('slots[key] must be an array of vNodes - see https://vuejs.org/v2/api/#vm-slots');
    }
    var slotsObj = slots[key];
    Object.keys(slotsObj).forEach(function (objKey) {
      if (Array.isArray(vm.$slots[key])) {
        vm.$slots[key].push(vm.$createElement(slots[key][objKey]));
      } else {
        vm.$slots[key] = [vm.$createElement(slots[key][objKey])];
      }
    });
  });
}

exports.default = addSlots;